diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
index 92579f1..4001066 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
@@ -1015,19 +1015,23 @@ define(
 
       // Callback for keyboard event
       keyAction: function(ev) {
-        if(ev.ctrlKey && ev.shiftKey) {
-          if(ev.keyCode == 69) {
-            // char e/E
-            // Execute query.
-            this.on_flash(ev);
-          } else if(ev.keyCode == 88){
-            // char x/X
-            // Explain query.
-            this.on_explain(ev);
-          } else if(ev.keyCode == 65) {
-            // char a/A
-            // Explain analyze query.
-            this.on_explain_analyze(ev);
+        if(ev.shiftKey) {
+          if(ev.ctrlKey) {
+            if(ev.keyCode == 69) {
+              // char e/E
+              // Execute query.
+              this.on_flash(ev);
+            } else if(ev.keyCode == 88) {
+              // char x/X
+              // Explain query.
+              this.on_explain(ev);
+            }
+          } else if(ev.altKey) {
+            if(ev.keyCode == 78) {
+              // char n/N
+              // Explain analyze query.
+              this.on_explain_analyze(ev);
+            }
           }
         }
       }
